import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'new' },
})
export class New extends BaseModel {
  @prop({ required: false, index: true, zh: '标题' })
  title: string;
  @prop({ required: false, index: true, zh: '类型' })
  type: string;
  @prop({ required: false, index: false, zh: '发布时间' })
  time: string;
  @prop({ required: false, index: false, zh: '内容' })
  content: string;
  @prop({ required: false, index: true, zh: '是否使用', default: '0' })
  is_use: string;
  @prop({ required: false, index: true, zh: '状态', default: '0' })
  status: string;
}
