import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Help } from '../../entity/core/help.entity';
type modelType = ReturnModelType<typeof Help>;
@Provide()
export class HelpService extends BaseService<modelType> {
  @InjectEntityModel(Help)
  model: modelType;
}
