import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'record' },
})
export class Record extends BaseModel {
  @prop({ required: false, index: true, zh: '用户id' })
  user_id: string;
  @prop({ required: false, index: true, zh: '课程id' })
  course_id: string;
  @prop({ required: false, index: true, zh: '视频id' })
  video_id: string;
  @prop({ required: false, index: true, zh: '观看时长' })
  time: string;
  @prop({ required: false, index: true, zh: '总时长' })
  total_time: string;
  @prop({ required: false, index: true, zh: '观看学时' })
  hour: string;
  @prop({ required: false, index: false, zh: '开始时间' })
  start_time: string;
  @prop({ required: false, index: false, zh: '结束时间' })
  end_time: string;
}
