import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'config' },
})
export class Config extends BaseModel {
  @prop({ required: false, index: false, zh: '名称' })
  name: string;
  @prop({ required: false, index: false, zh: '网址logo' })
  logo: Array<any>;
  @prop({ required: false, index: false, zh: '联系电话' })
  phone: string;
  @prop({ required: false, index: false, zh: '联系地址' })
  address: string;
  @prop({ required: false, index: false, zh: '底部导航' })
  copyright: string;
  @prop({ required: false, index: false, zh: '首页轮播图' })
  file: Array<any>;
  @prop({ required: false, index: false, zh: '用户协议' })
  agreement: string;
  @prop({ required: false, index: false, zh: '简介' })
  brief: string;
  @prop({ required: false, index: false, zh: '是否公开', default: '0' })
  is_show: string;
}
